Skip to main content
DELETE
/
api
/
v1
/
context
/
traces
/
{traceId}
/
delete
Delete a specific data trace
curl --request DELETE \
  --url https://platform-backend.getalchemystai.com/api/v1/context/traces/{traceId}/delete \
  --header 'Authorization: Bearer <token>'
{
  "trace": {
    "_id": "trace_123",
    "userId": "user_123",
    "type": "context.search",
    "data": {
      "query": "What did the customer ask about pricing for the Scale plan?",
      "source": "support-inbox",
      "fileName": "support_thread_TCK-1234.txt"
    },
    "createdAt": "2025-01-10T12:35:10.000Z",
    "updatedAt": "2025-01-10T12:35:10.000Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

traceId
string
required

ID of the trace to delete

Response

Success

trace
object

The deleted trace data